OCC Main Page | ApplicationFramework | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# ApplicationFramework
TKPLCAF
MDocStd

# MDocStd_ListIteratorOfDocEntryList Class Reference

`#include <MDocStd_ListIteratorOfDocEntryList.hxx>`

## Public Member Functions
void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | MDocStd_ListIteratorOfDocEntryList ()
Standard_EXPORT | MDocStd_ListIteratorOfDocEntryList (const MDocStd_DocEntryList &L)
Standard_EXPORT void | Initialize (const MDocStd_DocEntryList &L)
Standard_Boolean | More () const
Standard_EXPORT void | Next ()
Standard_EXPORT TCollection_AsciiString & | Value () const
## Private Attributes
Standard_Address | current
Standard_Address | previous

## Constructor & Destructor Documentation

Standard_EXPORT MDocStd_ListIteratorOfDocEntryList::MDocStd_ListIteratorOfDocEntryList | ( |  | ) |

Standard_EXPORT MDocStd_ListIteratorOfDocEntryList::MDocStd_ListIteratorOfDocEntryList | ( | const MDocStd_DocEntryList & | L | ) |

## Member Function Documentation

Standard_EXPORT void MDocStd_ListIteratorOfDocEntryList::Initialize | ( | const MDocStd_DocEntryList & | L | ) |

Standard_Boolean MDocStd_ListIteratorOfDocEntryList::More | ( |  | ) | const

Standard_EXPORT void MDocStd_ListIteratorOfDocEntryList::Next | ( |  | ) |

void MDocStd_ListIteratorOfDocEntryList::operator delete | ( | void * | anAddress | ) | `[inline]`

void* MDocStd_ListIteratorOfDocEntryList::operator new | ( | size_t | size | ) | `[inline]`

void* MDocStd_ListIteratorOfDocEntryList::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT TCollection_AsciiString& MDocStd_ListIteratorOfDocEntryList::Value | ( |  | ) | const

## Field Documentation

Standard_Address MDocStd_ListIteratorOfDocEntryList::current`[private]`

Standard_Address MDocStd_ListIteratorOfDocEntryList::previous`[private]`

The documentation for this class was generated from the following file:

- MDocStd_ListIteratorOfDocEntryList.hxx